Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._2._1.query
Interface AdhocQueryRequestType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  AdhocQueryRequestTypeImpl

    public interface AdhocQueryRequestType

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Adhoc Query Request Type'.

The following features are supported:

- `Response Option`
- `Filter Query`
- `SQL Query`

See Also:
  `QueryPackage.getAdhocQueryRequestType()`

Method Summary
`FilterQueryType` | `getFilterQuery()` Returns the value of the 'Filter Query' containment reference.
`ResponseOptionType` | `getResponseOption()` Returns the value of the 'Response Option' containment reference.
`java.lang.String` | `getSQLQuery()` Returns the value of the 'SQL Query' attribute.
`void` | `setFilterQuery(FilterQueryType value)` Sets the value of the '`Filter Query`' containment reference.
`void` | `setResponseOption(ResponseOptionType value)` Sets the value of the '`Response Option`' containment reference.
`void` | `setSQLQuery(java.lang.String value)` Sets the value of the '`SQL Query`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getResponseOption

    ResponseOptionType getResponseOption()

  Returns the value of the 'Response Option' containment reference.

  If the meaning of the 'Response Option' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Response Option' containment reference.
  See Also:
    `setResponseOption(ResponseOptionType)`, `QueryPackage.getAdhocQueryRequestType_ResponseOption()`

### setResponseOption

    void setResponseOption(ResponseOptionType value)

  Sets the value of the '`Response Option`' containment reference.

  Parameters:
    `value` - the new value of the 'Response Option' containment reference.
  See Also:
    `getResponseOption()`

### getFilterQuery

    FilterQueryType getFilterQuery()

  Returns the value of the 'Filter Query' containment reference.

  If the meaning of the 'Filter Query' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Filter Query' containment reference.
  See Also:
    `setFilterQuery(FilterQueryType)`, `QueryPackage.getAdhocQueryRequestType_FilterQuery()`

### setFilterQuery

    void setFilterQuery(FilterQueryType value)

  Sets the value of the '`Filter Query`' containment reference.

  Parameters:
    `value` - the new value of the 'Filter Query' containment reference.
  See Also:
    `getFilterQuery()`

### getSQLQuery

    java.lang.String getSQLQuery()

  Returns the value of the 'SQL Query' attribute.

  If the meaning of the 'SQL Query' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'SQL Query' attribute.
  See Also:
    `setSQLQuery(String)`, `QueryPackage.getAdhocQueryRequestType_SQLQuery()`

### setSQLQuery

    void setSQLQuery(java.lang.String value)

  Sets the value of the '`SQL Query`' attribute.

  Parameters:
    `value` - the new value of the 'SQL Query' attribute.
  See Also:
    `getSQLQuery()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD